aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authoroldmud0 <oldmud0@users.noreply.github.com>2020-07-31 16:17:05 -0500
committerGitHub <noreply@github.com>2020-07-31 16:17:05 -0500
commitec1c95bdb33dd063880c4cb6c3c9c3cf5d0ed454 (patch)
tree19e9217126837cac1ae3ab025b050bb3cfbda64b /scripts
parent8ea01d4c3139e27e84091c0b24266d9fb50ddf38 (diff)
parent36b5af3cb9ce8e5530c5bd9353a4e2f10da506b6 (diff)
Merge pull request #217 from AttorneyOnline/kfo-ao2
Final mega-merge with the Killing Fever Online client, along with other associated bugfixes and feature additions. This commit is release-ready.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/macos_build.sh2
-rwxr-xr-xscripts/macos_post_build.sh3
-rwxr-xr-xscripts/release_macos.sh22
3 files changed, 25 insertions, 2 deletions
diff --git a/scripts/macos_build.sh b/scripts/macos_build.sh
index efb7653f..fb631e9f 100755
--- a/scripts/macos_build.sh
+++ b/scripts/macos_build.sh
@@ -30,4 +30,4 @@ tar -xvf apng.tar.xz
cp clang_64/plugins/imageformats/libqapng.dylib ../lib
cd ..
-/usr/local/opt/qt/bin/qmake && make -j2
+/usr/local/opt/qt/bin/qmake "DEFINES += DISCORD QTAUDIO" && make -j2
diff --git a/scripts/macos_post_build.sh b/scripts/macos_post_build.sh
index df1475c4..2ed73649 100755
--- a/scripts/macos_post_build.sh
+++ b/scripts/macos_post_build.sh
@@ -20,5 +20,6 @@ cp ../lib/* ../bin/Attorney_Online.app/Contents/Frameworks
# libbass has a funny path for some reason, just use rpath
install_name_tool -change @loader_path/libbass.dylib @rpath/libbass.dylib ../bin/Attorney_Online.app/Contents/MacOS/Attorney_Online
+install_name_tool -change @loader_path/libbassopus.dylib @rpath/libbassopus.dylib ../bin/Attorney_Online.app/Contents/MacOS/Attorney_Online
-zip -r -9 ../bin/Attorney_Online_mac_x86_64.zip ../bin/ \ No newline at end of file
+zip -r -9 ../bin/Attorney_Online_macOS.zip ../bin/ \ No newline at end of file
diff --git a/scripts/release_macos.sh b/scripts/release_macos.sh
new file mode 100755
index 00000000..50acb408
--- /dev/null
+++ b/scripts/release_macos.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# This script prepares the compiled bundle for shipping as a standalone release
+# Assumes the Qt bin folder is in PATH
+# Should be used on a "Release" build from QT creator
+# Note that this DOES NOT add the base/ folder
+
+# Exit on errors and unset variables
+set -eu
+
+ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/"
+
+cd ${ROOT_DIR}
+
+# This thing basically does all the work
+macdeployqt ../bin/Attorney_Online.app
+
+# Need to add the dependencies
+cp ../lib/* ../bin/Attorney_Online.app/Contents/Frameworks
+
+# libbass has a funny path for some reason, just use rpath
+install_name_tool -change @loader_path/libbass.dylib @rpath/libbass.dylib ../bin/Attorney_Online.app/Contents/MacOS/Attorney_Online